.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown summary {
  list-style: none;
}

.button {
  padding-right: calc(var(--margin) + var(--margin-sm) * 2);

  background-image: url("/img/arrow-down-light.svg");
  background-repeat: no-repeat;
  background-size: 1.4rem;
  background-position: right 0.6rem center;
}

.button:global(.compact) {
  padding-right: calc(var(--margin-sm) * 3);
  background-position: right 0.20rem center;
}

[data-theme="dark"] .button {
  background-image: url("/img/arrow-down-dark.svg");
}

.content {
  margin: 0;
  position: absolute;
  padding: 0;
  top: calc(100% + var(--margin-sm));

  display: none;
  list-style: none;

  background: var(--color-background-l1);
  border-radius: var(--border-radius);
  box-shadow: var(--shadow);

  overflow: hidden;
  z-index: 3; /* Above navbar, at height 2. */
}

.dropdown[open] .content {
  display: block;
}

[data-theme="light"] .content {
  box-shadow: var(--shadow);
}

[data-theme="dark"] .content {
  border: var(--border-size) solid var(--color-secondary);
}

.content.align-left {
  left: 0;
}

.content.align-center {
  transform: translateX(-50%);
}

.content.align-right {
  right: 0;
}

/* Childs defaults to 100% width. Use where to reduce specificity. */
:where(.content > li > *) {
  width: 100%;
}